use std::{path::PathBuf, str::FromStr};

use log::info;
use serde_json::Value;
use tower_lsp::lsp_types::{Diagnostic, Url};

use crate::{diagnostics::provide_diagnostics, server::Backend, utils::{from_uri_to_escape_path_string, open_doc_as_rope}};

// /// 前端请求，发布诊断结果，仅在初始化和修改配置时触发
// /// 参数为 [file_path: string]
// pub async fn publish_diagnostics(
//     backend: &Backend,
//     arguments: Vec<Value>
// ) -> tower_lsp::jsonrpc::Result<Option<Value>> {

// }